package org.ocpsoft.prettytime.i18n

import java.util.*

open class Resources_am : ListResourceBundle() {

	public override fun getContents(): Array<Array<String>> {
		return OBJECTS
	}

	companion object {
		private val OBJECTS = arrayOf(
		arrayOf<String>("CenturyPattern", "%n %u"),
		arrayOf<String>("CenturyFuturePrefix", "ከ "),
		arrayOf<String>("CenturyFutureSuffix", " በኋላ"),
		arrayOf<String>("CenturyPastPrefix", "ከ "),
		arrayOf<String>("CenturyPastSuffix", " በፊት"),
		arrayOf<String>("CenturySingularName", "መቶ አመት"),
		arrayOf<String>("CenturyPluralName", "መቶ አመታት"),
		arrayOf<String>("DayPattern", "%n %u"),
		arrayOf<String>("DayFuturePrefix", "ከ "),
		arrayOf<String>("DayFutureSuffix", " በኋላ"),
		arrayOf<String>("DayPastPrefix", "ከ "),
		arrayOf<String>("DayPastSuffix", " በፊት"),
		arrayOf<String>("DaySingularName", "ቀን"),
		arrayOf<String>("DayPluralName", "ቀናት"),
		arrayOf<String>("DecadePattern", "%n %u"),
		arrayOf<String>("DecadeFuturePrefix", "ከ "),
		arrayOf<String>("DecadeFutureSuffix", " በኋላ"),
		arrayOf<String>("DecadePastPrefix", "ከ "),
		arrayOf<String>("DecadePastSuffix", " በፊት"),
		arrayOf<String>("DecadeSingularName", "አስር አመት"),
		arrayOf<String>("DecadePluralName", "አስርት አመታት"),
		arrayOf<String>("HourPattern", "%n %u"),
		arrayOf<String>("HourFuturePrefix", "ከ "),
		arrayOf<String>("HourFutureSuffix", " በኋላ"),
		arrayOf<String>("HourPastPrefix", "ከ "),
		arrayOf<String>("HourPastSuffix", " በፊት"),
		arrayOf<String>("HourSingularName", "ሰዓት"),
		arrayOf<String>("HourPluralName", "ሰዓታት"),
		arrayOf<String>("JustNowPattern", "%u"),
		arrayOf<String>("JustNowFuturePrefix", ""),
		arrayOf<String>("JustNowFutureSuffix", "ከጥቂት ቆይታ በኋላ"),
		arrayOf<String>("JustNowPastPrefix", "ከጥቂት ቆይታ በፊት"),
		arrayOf<String>("JustNowPastSuffix", ""),
		arrayOf<String>("JustNowSingularName", ""),
		arrayOf<String>("JustNowPluralName", ""),
		arrayOf<String>("MillenniumPattern", "%n %u"),
		arrayOf<String>("MillenniumFuturePrefix", "ከ "),
		arrayOf<String>("MillenniumFutureSuffix", " በኋላ"),
		arrayOf<String>("MillenniumPastPrefix", "ከ "),
		arrayOf<String>("MillenniumPastSuffix", " በፊት"),
		arrayOf<String>("MillenniumSingularName", "ሺህ አመት"),
		arrayOf<String>("MillenniumPluralName", "ሺህ አመታት"),
		arrayOf<String>("MillisecondPattern", "%n %u"),
		arrayOf<String>("MillisecondFuturePrefix", "ከ "),
		arrayOf<String>("MillisecondFutureSuffix", " በኋላ"),
		arrayOf<String>("MillisecondPastPrefix", "ከ "),
		arrayOf<String>("MillisecondPastSuffix", " በፊት"),
		arrayOf<String>("MillisecondSingularName", "ሚሊ ሰከንድ"),
		arrayOf<String>("MillisecondPluralName", "ሚሊ ሰከንድ"),
		arrayOf<String>("MinutePattern", "%n %u"),
		arrayOf<String>("MinuteFuturePrefix", "ከ "),
		arrayOf<String>("MinuteFutureSuffix", " በኋላ"),
		arrayOf<String>("MinutePastPrefix", "ከ "),
		arrayOf<String>("MinutePastSuffix", " በፊት"),
		arrayOf<String>("MinuteSingularName", "ደቂቃ"),
		arrayOf<String>("MinutePluralName", "ደቂቃ"),
		arrayOf<String>("MonthPattern", "%n %u"),
		arrayOf<String>("MonthFuturePrefix", "ከ "),
		arrayOf<String>("MonthFutureSuffix", " በኋላ"),
		arrayOf<String>("MonthPastPrefix", "ከ "),
		arrayOf<String>("MonthPastSuffix", " በፊት"),
		arrayOf<String>("MonthSingularName", "ወር"),
		arrayOf<String>("MonthPluralName", "ወራት"),
		arrayOf<String>("SecondPattern", "%n %u"),
		arrayOf<String>("SecondFuturePrefix", "ከ "),
		arrayOf<String>("SecondFutureSuffix", " በኋላ"),
		arrayOf<String>("SecondPastPrefix", "ከ "),
		arrayOf<String>("SecondPastSuffix", " በፊት"),
		arrayOf<String>("SecondSingularName", "ሰከንድ"),
		arrayOf<String>("SecondPluralName", "ሰከንድ"),
		arrayOf<String>("WeekPattern", "%n %u"),
		arrayOf<String>("WeekFuturePrefix", "ከ "),
		arrayOf<String>("WeekFutureSuffix", " በኋላ"),
		arrayOf<String>("WeekPastPrefix", "ከ "),
		arrayOf<String>("WeekPastSuffix", " በፊት"),
		arrayOf<String>("WeekSingularName", "ሳምንት"),
		arrayOf<String>("WeekPluralName", "ሳምንታት"),
		arrayOf<String>("YearPattern", "%n %u"),
		arrayOf<String>("YearFuturePrefix", "ከ "),
		arrayOf<String>("YearFutureSuffix", " በኋላ"),
		arrayOf<String>("YearPastPrefix", "ከ "),
		arrayOf<String>("YearPastSuffix", " በፊት"),
		arrayOf<String>("YearSingularName", "አመት"),
		arrayOf<String>("YearPluralName", "አመታት"),
		arrayOf<String>("AbstractTimeUnitPattern", ""),
		arrayOf<String>("AbstractTimeUnitFuturePrefix", ""),
		arrayOf<String>("AbstractTimeUnitFutureSuffix", ""),
		arrayOf<String>("AbstractTimeUnitPastPrefix", ""),
		arrayOf<String>("AbstractTimeUnitPastSuffix", ""),
		arrayOf<String>("AbstractTimeUnitSingularName", ""),
		arrayOf<String>("AbstractTimeUnitPluralName", ""))
	}
}

